#pragma once
#include "LabelManager.h"
#include "ObjParams.h"

bool MakeObj(const std::wstring &strName, const std::wstring &strExt, bool bTbl = false);
bool LoadObj(const std::wstring &strName);
bool findBlock(OBJBlockHeader &hdr, OBJTags tag);
bool OBJ_SaveIDBlk();
bool OBJ_ReadIDBlk(OBJIDBlock &data);
bool OBJ_SaveLabelTable(CLabelTable *lbltbl, OBJTags nTag);
bool OBJ_LoadLabelTable(CLabelTable *lbltbl, OBJBlockHeader &hdr);
bool OBJ_SaveData();
bool OBJ_ReadData(uint32_t nLen);

/*
Объектный файл.
имеет теговую структуру.
состоит из блоков:
1. Блок глобальных меток
2. Блок локальных меток (если есть)
3. Блок ссылок на метки.
4. Блок идентификатор
*/


